libei 1.4.0 A library for Emulated Input

ei_device Struct Reference
🥚 EI - The client API

A single device to generate input events from. More...

`#include <libei.h>`

## Detailed Description

A single device to generate input events from.

A device may have multiple capabilities. For example, a single device may be a pointer and a keyboard and a touch device. It is up to the EIS implementation on how to handle this case, some implementations may split a single device up into multiple virtual devices, others may not.

An ei_device is refcounted, see ei_device_unref().

The documentation for this struct was generated from the following file:

- doc/api/libei.h